Name:           sablecc
Version:        3.7
Release:        8%{?dist}
Summary:        A parser generator written in Java
License:        LGPLv2+
URL:            http://sablecc.org
# https://github.com/SableCC/sablecc
Source0:        http://downloads.sourceforge.net/sablecc/sablecc-3.7.zip
#Source1:        http://repo1.maven.org/maven2/sablecc/sablecc/3.2/sablecc-3.2.pom
Patch0:         sablecc-fsf-addr.patch
BuildArch:      noarch

BuildRequires:  ant
BuildRequires:  javapackages-local

%description
SableCC is a parser generator which generates object-oriented frameworks for
building compilers, interpreters and other text parsers. SableCC keeps a clean
separation between machine and user code which leads to a shorter development 
cycle.

%prep
%setup -q 
%patch0 -p1
# The ant task has to be unpacked and sanitized prior to the main build. 
tar xzf %{name}-anttask-1.0.1.tar.gz
find -name "*.jar" -delete
find -name "*.class" -delete
rm %{name}-anttask-1.0.1.tar.gz

sed -i "s|lib/%{name}.jar|%{_javadir}/%{name}.jar|" bin/%{name}

%mvn_file %{name}:%{name} %{name}

%build
# Build the ant task and copy *only* that class into the main
# classes directory.  Don't copy everything, because there's a 
# namespace collision that will break the build.
pushd %{name}-anttask-1.0.1
ant 
mkdir -p ../classes/org/sablecc/ant/taskdef/
cp classes/org/sablecc/ant/taskdef/Sablecc.class ../classes/org/sablecc/ant/taskdef/
popd

# the define here prevents ant from redownloading the deleted tarball
ant -Dsablecc-anttask_available=true jar

%install
%mvn_artifact %{name}:%{name}:%{version} lib/%{name}.jar
%mvn_install

mkdir -p %{buildroot}%{_bindir}
install -pm 0755 bin/%{name} %{buildroot}%{_bindir}/%{name}

%files -f .mfiles
%{_bindir}/%{name}
%doc README.html ChangeLog AUTHORS THANKS
%license LICENSE COPYING-LESSER
%doc doc/*

%changelog
* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Jun 22 2016 gil cattaneo <puntogil@libero.it> 3.7-3
- regenerate build-requires

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Sep 19 2015 gil cattaneo <puntogil@libero.it> 3.7-1
- update to 3.7 (rhbz#1264621)

* Fri Sep 18 2015 gil cattaneo <puntogil@libero.it> 3.2-10
- fix executable script (rhbz#1264249)
- add maven metadata

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Feb 11 2015 gil cattaneo <puntogil@libero.it> 3.2-8
- introduce license macro

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 3.2-6
- Use Requires: java-headless rebuild (#1067528)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Oct 17 2011 Andy Grimm <agrimm@gmail.com> 3.2-1
- Initial Build
